//
//  LineCountingView.h
//  HexFiend
//
//  Created by ridiculous_fish on 9/5/05.
//  Copyright 2004-2006 ridiculous_fish. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "HexViewProtocol.h"

enum eLineFormatType {eHex, eDec, eMaxTypes};

@interface LineCountingView : NSView {
    id <HexViewProtocol> myDataSource; //not retained
	NSColor *textColor;
    enum eLineFormatType myFormatType;
    float myRowHeight;
}

- (void)setDataSource:(id <HexViewProtocol>)source;
- (void)reloadData;
- (void)setRowHeight:(float)height;
- (void)setTextColor:(NSColor *)color;
- (NSColor *)textColor;

@end
